Gamestarter: Retrogaming add-ons (RPi/Generic)

  • i've tried setting the locale in the /storage/.profile which now looks like this:

    Code
    1. export LC_ALL="en_US.UTF-8"
    2. export LANG=en_US.UTF-8
    3. export LANGUAGE=en_US.UTF-8

    Typing locale now gives me these results:

    Unfortunately, i still get the same error when starting emulationstation

    Code
    1. terminate called after throwing an instance of 'std::runtime_error'
    2. what(): locale::facet::_S_create_c_locale name not valid
    3. Aborted
  • i've tried setting the locale in the /storage/.profile which now looks like this:

    Code
    1. export LC_ALL="en_US.UTF-8"
    2. export LANG=en_US.UTF-8
    3. export LANGUAGE=en_US.UTF-8

    Typing locale now gives me these results:

    Unfortunately, i still get the same error when starting emulationstation

    Code
    1. terminate called after throwing an instance of 'std::runtime_error'
    2. what(): locale::facet::_S_create_c_locale name not valid
    3. Aborted

    That didn't work...tried it also...There is an addon in Libreelec repo just for that called Locale

  • Hi,


    I can confirm that this beta works on generic and Rpi 3.


    Thanks.

  • I can confirm that after installing the locale addon and changing it to en_US.UTF-8 on the addon's settings, emulationstation now runs normally.

    Glad it worked for you too..also doesn't have to be en_US.UTF-8 only...mine worked on en_GB.UTF-8

  • Glad it worked for you too..also doesn't have to be en_US.UTF-8 only...mine worked on en_GB.UTF-8

    I cant even install locale from libreelec repo.

    It just says installation failed.


    other libreelec repo addons allow me to install (chrome for example) just locale gives me installation failed :(


    Thanks

    Edited 2 times, last by robmcc83 ().

  • Are you on RPI?

  • Not sure then sorry...on my rpi it just installed and worked...try to force update Libreelec repo and try again.

    Already tried that, it's the first thing I tried.


    I'll open new thread, see if anyone responds.


    Thanks

  • hi guys.

    what kind of machine do i need to use play! (ps2) and dolphin(gamecube) emulators?

    i've tried on a nuc (Intel(R) Core(TM) i3-5010U CPU @ 2.10GHz), with 4GB memory.

    play! - games are unplayable

    gamecube - there is an annoying freeze every 30-40 seconds.


    tried the same games on a friends yoga380 (i5, 8 gb ram). dolphin runs ok (no freezes at all), play! is still laggy.


    other cores (atari800, snes, ppsspp etc ) work fine.


    also, what's more important for the emulation (cpu/gpu/mem)?

  • Hello,


    I have migrate my librelec to 9.2 on rpi4.

    Retroarch work fine.

    But emulationstation don't work ...

    I have this log :

    Code
    1. lvl2: EmulationStation - v2.0.1a, built Jan 24 2017 - 15:30:02
    2. lvl2: Creating surface...
    3. lvl0: Error creating SDL window!
    4. Could not create GLES window surface
    5. lvl0: Renderer failed to initialize!
    6. lvl0: Window failed to initialize!

    Any idea ?


    Regards


  • Are you running LE on 4k resolution?

  • yes of course. On LE 9.0.2 ES work fine.

    After update to 9.2 I have this error.

    Just tried mine tonight just in case after updating to 9.2 yesterday and it's working fine..I m on version 8.201.1...Rpi2

    Try to force update all addons and rename the ES userdata folder and try again after a restart..

    Code
    1. \\LIBREELEC\Storage\.kodi\userdata\addon_data\game.emulationstation

    Also since LE9.1.xx ES needs Locale addon to work from LE repo..set Locale to your location example en_GB>UTF-8